Returns reference data for the candidate form. Vacancies are filtered by branch_id.
Authorization
api-token + language + role
Query parameters
branch_idinteger
Example:8778
Responses
OK
object
statusstringrequired
Values:successerror
Example:success
dataobject
vacancy_idarray of object
valueintegerrequired
Example:1
namestringrequired
Example:Pianist
publishedboolean
Example:true
city_namestring
Example:London
chain_namestring
Example:Green Basket | London
genderobject (FilterEnum)
Filter enumeration — a flat list of enumeration values
valuestring
Example:example
typestringrequired
Example:select
optionarray of string
modestring (FilterMode)
How the interface handles the filter; a regular filter does not have mode. force_shown — always displayed, cannot be hidden. value_required — entry point to the section: always displayed, cannot have an empty value (until a value is selected, the list is empty; there is no "all" option), global reset does not clear it.
Values:force_shownvalue_required
Example:value_required
educationobject (FilterEnum)
Filter enumeration — a flat list of enumeration values
valuestring
Example:example
typestringrequired
Example:select
optionarray of string
modestring (FilterMode)
How the interface handles the filter; a regular filter does not have mode. force_shown — always displayed, cannot be hidden. value_required — entry point to the section: always displayed, cannot have an empty value (until a value is selected, the list is empty; there is no "all" option), global reset does not clear it.
Values:force_shownvalue_required
Example:value_required
statusobject (FilterEnum)
Filter enumeration — a flat list of enumeration values
valuestring
Example:example
typestringrequired
Example:select
optionarray of string
modestring (FilterMode)
How the interface handles the filter; a regular filter does not have mode. force_shown — always displayed, cannot be hidden. value_required — entry point to the section: always displayed, cannot have an empty value (until a value is selected, the list is empty; there is no "all" option), global reset does not clear it.